Jump to content
Sign in to follow this  
LaBaSe

Installer un serveur Spigot où BungeeCord facilement sur Linux

Recommended Posts

Sommaire :

 

Versions supportées


1. Prérequis & configuration recommandée 
2. Téléchargement du script
3. Utilisation

4. Configuration avancée du serveur 
5. Bugs connus

 

Versions supportées

1.8 1.9.x 1.10.x 1.11.x 1.12.x 1.13 (Beta)

 

1. Prérequis & configuration recommandée 
Un serveur sous Linux (Debian, Ubuntu) avec 2GO de RAM et environ 3GO d'espace disque

Putty où tout autre client SSH (Bitvise SSH Client par exemple)

FileZilla où tout autre client SFTP/FTP (WinScp etc...)

curl ( apt-get install curl )

 

2. Téléchargement du script
 

 

Si vous êtes connecté avec l'utilisateur root : 

curl https://uploads.admlbs.fr/download.php?file=mcinstall --output /usr/bin/mcinstall && chmod 0777 /usr/bin/mcinstall

 

 

Si vous n'êtes pas connecté avec root

sudo curl https://uploads.admlbs.fr/download.php?file=mcinstall --output /usr/bin/mcinstall && chmod 0777 /usr/bin/mcinstall

 

3. Utilisation

Si vous êtes en root :

 mcinstall install

 

Si vous n'êtes pas root :

sudo mcinstall install

 

 

Pendant l'installation le script vous posera des questions essentielles pour le bon fonctionnement de votre serveur Spigot/Bungeecord. 

Si vous installez un serveur Spigot (ou un serveur Spigot+Bungeecord) il est normal que le processus de compilation soit long ! Il dépends de la puissance de votre machine, ne fermez donc pas le script !

 

4. Configuration avancée du serveur 
 

Lorsque votre serveur est installé vous pouvez le configurer en allant dans les fichiers de configuration : 

 

Pour Spigot Placez vous dans le répertoire ou votre serveur est installé puis faites 

nano server.properties

Pour Bungeecord : Placez vous dans le répertoire ou votre serveur est installé puis faites

nano config.yml

 

Bien sûr après chaque modification de la configuration du serveur redémarrez le !  Un /reload ne prendra pas en compte les changements.

 

5. Bugs connus

Erreur : le certificat de « uploads.admlbs.fr » n'est pas de confiance.
Erreur : le certificat de « uploads.admlbs.fr » n'est pas d'un émetteur connu.

Réalisez la commande suivante :

apt-get install ca-certificates

 

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this  

×